dpkg-fsys-usrunmess(8)

NOME
dpkg-fsys-usrunmess - desfaz a confusão merged-/usr-via-aliased-dirs

RESUMO
dpkg-fsys-usrunmess [option...]

DESCRIÇÃO
dpkg-fsys-usrunmess é uma ferramenta para corrigir sistemas de ficheiros que foram instalados de novo com instaladores recentes de predefinições infelizes ou migrados para um /usr danificado via directórios de disposição de nomes alternativos, o qual não é suportado pelo dpkg. Veja a FAQ do dpkg.

Nota: Em Debian o seu tech-ctte decretou que num lançamento após o bookworm a disposição não-usrmerged não irá ser suportada, e assim alguns dos seus maintainers podem não corrigir problemas ou intencionalmente remover o suporta não-usrmerged, assim você tem de decidir e escolher o seu veneno.

Este programa irá executar as seguintes acções gerais:

•   Verifica se o sistema precisa de ser comutado, caso contrário não faz nada.

•   Verifica a consistência da base de dados do dpkg e caso contrário aborta.

•   Gera e instala um pacote de prevenção de regressão, se pedido na linha de comandos ou caso contrário na solicitação.

•   Obtém a lista de ficheiros e alternativas que precisam ser restaurados.

•   Procura ficheiros de módulos de kernel não vigiados que possam precisar se ser movidos também.

•   Cria uma hierarquia sombra sob /.usrunmess, ao criar os links simbólicos de directórios ou por ligações rijas ou copiando os ficheiros como necessário.

•   Pede confirmação antes de proceder, se requerido na linha de comandos.

•   Tranca a base de dados do dpkg.

•   Marca todos os pacotes como meio instalados para forçar o correr dos scripts de maintainer que podem precisar de recriar ficheiros.

•   Substitui os directórios de nomes alternativos pelos sombra, ao criar uma cópia de salvaguarda dos antigos directórios de links simbólicos e renomeando os sombra sobre os outros.

•   Re-etiqueta a informação MAC para directórios e links simbólicos se necessário.

•   Remove links simbólicos de salvaguarda.

•   Remove os objectos movidos antigos, mas adia a remoção de directórios.

•   Remove directórios adiados antigos que não estão referidos pelo dpkg-query.

•   Remove o directório raiz sombra.

•   Regista um policy-rc.d para proibir acções de serviço, o que significa que os serviços podem precisar de serem reiniciados após isto, idealmente com um reiniciar da máquina.

•   Reconfigura todos os pacotes.

•   Retira o registo de policy-rc.d e restaura o estado das alternativas.

Nota: Quando se corre o programa a partir de alguma shells tais como bash(1) ou zsh(1), após o executar, você pode precisar de requisitar à shell para esquecer todas as localizações de executáveis lembradas com por exemplo "hash -r".

Nota: Alguns directórios podem demorar após a migração no caso de conterem ficheiros não acompanhados. É escrita uma lista assim que o script terminar para investigação posterior.

Aviso: Note que esta operação tem o potencial de tornar o sistema não utilizável ou quebrado em caso de uma pagarem súbita ou reinicio do sistema. estado inesperado do sistema, ou possíveis bugs no script. Esteja preparado com meio de recuperação e considere fazer cópias de salvaguarda antes.

Este programa foi introduzido no dpkg 1.20.6.

OPÇÕES

-p, --prompt
    Pergunta no ponto de não retorno, para que os resultados de depuração da hierarquia sombra possam ser avaliados antes de proceder.

--prevention
--no-prevention
    Activa ou desactiva a a geração e instalação de um pacote de prevenção de regressão no sistema. Se nenhuma opção for fornecida, será solicitada qual a acção a tomar.

    O pacote gerado contém o campo Protected definido para yes para proteção contra remoção acidental do pacote.

-n, --no-act
--dry-run
    Esta opção activa o modo dry-run, onde não há acções destrutivas, apenas a parte de preparação.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DPKG_USRUNMESS_NOACT
    Esta definição define se se deve activar o modo dry-run.

VEJA TAMBÉM
<https://wiki.debian.org/Teams/Dpkg/FAQ#broken-usrmerge>.

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.